.falling-leaves {
    background: no-repeat 50%;
    background-size: cover;
    bottom: 0;
    left: 50%;
    overflow: hidden;
    pointer-events: none;
    position: fixed;
    top: 0;
    transform: translate(-50%);
    width: 100%;
    z-index: 999
}

.flowerAnt {
    --size: 20px;
    background: url(/image/hoa-dao.webp) no-repeat;
    background-size: 100%;
    border-radius: 50%;
    height: 20px;
    height: var(--size);
    position: absolute;
    top: -5vh;
    width: 20px;
    width: var(--size)
}

.flowerAnt:nth-child(2n) {
    background: url(/image/hoa-mai.webp) no-repeat;
    background-size: 100%
}

@keyframes snowfall {
    0% {
        transform: translate3d(var(--left-ini),0,0)
    }

    to {
        transform: translate3d(var(--left-end),110vh,0)
    }
}

.flowerAnt:first-child {
    --size: 20px;
    --left-ini: -9vw;
    --left-end: -5vw;
    animation: snowfall 8s linear infinite;
    animation-delay: -4s;
    left: 49vw
}

.flowerAnt:nth-child(2) {
    --size: 13px;
    --left-ini: -7vw;
    --left-end: -8vw;
    animation: snowfall 8s linear infinite;
    animation-delay: -2s;
    left: 56vw
}

.flowerAnt:nth-child(3) {
    --size: 17px;
    --left-ini: -3vw;
    --left-end: 4vw;
    animation: snowfall 12s linear infinite;
    animation-delay: -4s;
    left: 50vw
}

.flowerAnt:nth-child(4) {
    --size: 25px;
    --left-ini: -8vw;
    --left-end: -7vw;
    animation: snowfall 7s linear infinite;
    animation-delay: -5s;
    left: 46vw
}

.flowerAnt:nth-child(5) {
    --size: 17px;
    --left-ini: -7vw;
    --left-end: 7vw;
    animation: snowfall 7s linear infinite;
    animation-delay: -8s;
    left: 20vw
}

.flowerAnt:nth-child(6) {
    --size: 17px;
    --left-ini: 1vw;
    --left-end: -1vw;
    animation: snowfall 6s linear infinite;
    animation-delay: -2s;
    left: 10vw
}

.flowerAnt:nth-child(7) {
    --size: 15px;
    --left-ini: 0vw;
    --left-end: 7vw;
    animation: snowfall 9s linear infinite;
    animation-delay: -8s;
    left: 49vw
}

.flowerAnt:nth-child(8) {
    --size: 20px;
    --left-ini: 0vw;
    --left-end: 8vw;
    animation: snowfall 11s linear infinite;
    animation-delay: -8s;
    left: 54vw
}

.flowerAnt:nth-child(9) {
    --size: 11px;
    --left-ini: -2vw;
    --left-end: -6vw;
    animation: snowfall 12s linear infinite;
    animation-delay: -6s;
    left: 52vw
}

.flowerAnt:nth-child(10) {
    --size: 14px;
    --left-ini: -7vw;
    --left-end: 9vw;
    animation: snowfall 13s linear infinite;
    animation-delay: -2s;
    left: 21vw
}

.flowerAnt:nth-child(11) {
    --size: 25px;
    --left-ini: 1vw;
    --left-end: -2vw;
    animation: snowfall 9s linear infinite;
    animation-delay: -6s;
    left: 86vw
}

.flowerAnt:nth-child(12) {
    --size: 22px;
    --left-ini: 3vw;
    --left-end: -8vw;
    animation: snowfall 12s linear infinite;
    animation-delay: -9s;
    left: 12vw
}

.flowerAnt:nth-child(13) {
    --size: 20px;
    --left-ini: 7vw;
    --left-end: 3vw;
    animation: snowfall 7s linear infinite;
    animation-delay: -8s;
    left: 71vw
}

.flowerAnt:nth-child(14) {
    --size: 20px;
    --left-ini: -7vw;
    --left-end: -8vw;
    animation: snowfall 8s linear infinite;
    animation-delay: -7s;
    left: 100vw
}

.flowerAnt:nth-child(15) {
    --size: 12px;
    --left-ini: 3vw;
    --left-end: -4vw;
    animation: snowfall 15s linear infinite;
    animation-delay: -2s;
    left: 29vw
}